std::match_results::size(3)

NAME
std::match_results::size - std::match_results::size

Synopsis
   size_type size() const noexcept; (since C++11)
   Returns the number of submatches, i.e. std::distance(begin(), end()).
   Returns 0 if *this does not represent the result of a successful match.

Parameters
   (none)

Return value
   The number of submatches

Complexity
   Constant

Example
// Run this code
 #include <iostream>
 #include <regex>
 #include <string>
 int main()
 {
     std::regex re("a(a)*b");
     std::string target("aaab");
     std::smatch sm;
     std::cout << sm.size() << '\n';
     std::regex_match(target, sm, re);
     std::cout << sm.size() << '\n';
 }

Output:
 0
 2

See also
   begin returns iterator to the beginning of the list of sub-matches
   cbegin (public member function)
   end returns iterator to the end of the list of sub-matches
   cend (public member function)